/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/deck.h>
#include <gui/tabs.h>


class HistoryTab : public Tab {
public:
	HistoryTab();
	~HistoryTab();
};


HistoryTab :: HistoryTab()
	    : Tab(deck :: get_queue())
{
	tab_search   = lib :: get_widget<Gtk::SearchEntry>("o_history_entry");
	tab_size     = lib :: get_widget<Gtk::Label>("o_history_size");
	tab_treeview = lib :: get_widget<Gtk::TreeView>("o_history_treeview");
	tab_widget   = lib :: get_widget<Gtk::Widget>("o_history_page");

	tab_finish_init();
}

HistoryTab :: ~HistoryTab()
{
	tab_unmap();
}



static HistoryTab *history_tab;

void init_history_tab()
{
	history_tab = new HistoryTab;
}
