/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_LIB_PLIST_H
#define OCARINA_LIB_PLIST_H

#include <gtkmm.h>
#include <string>

namespace plist
{

	void init();

	Glib::ustring get_path(const Gtk::TreePath &);
	void select_path(const Gtk::TreePath &);
	void del_path_ids(const Gtk::TreePath &, std::vector<unsigned int> &);

}

#endif /* OCARINA_LIB_PLIST_H */
