/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/callback.h>


static void no_op(Queue *, unsigned int) {}
static void no_op(Queue *) {}


static struct Callbacks callbacks = {
	.on_pq_removed			= no_op,

	.on_queue_track_add		= no_op,
	.on_queue_track_del		= no_op,
	.on_queue_track_changed		= no_op,
};


struct Callbacks *get_callbacks()
{
	return &callbacks;
}
