/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/tags/album.h>
#include <core/tags/artist.h>
#include <core/tags/genre.h>
#include <core/tags/library.h>
#include <core/tags/tags.h>
#include <core/tags/track.h>

void tags :: init()
{
	tags :: init_album_db();
	tags :: init_artist_db();
	tags :: init_genre_db();
	tags :: init_library_db();
	tags :: init_track_db();
}
