/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_LIB_COLMGR_H
#define OCARINA_LIB_COLMGR_H

#include <gtkmm.h>
#include <string>

namespace colmgr
{

	void init();
	void add_path(const std::string &);
	void del_path(const Gtk::TreePath &);
	void update_path(const Gtk::TreePath &);
	void update_paths();

	Glib::ustring get_path(const Gtk::TreePath &);
	void toggle_path_enabled(const Gtk::TreePath &);
};

#endif /* OCARINA_LIB_COLMGR_H */
